package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import java.math.BigDecimal;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/SimpleCalculatorAction.class */
public class SimpleCalculatorAction extends LifeAction {
    private String num1Field;
    private String num2Field;
    private int operater;
    private int upDownType;
    private int decimalDigits;
    private String resultField;

    public String execute(Context context) throws GENEException {
        BigDecimal bignum1;
        String num1 = (String) context.get(this.num1Field);
        String num2 = (String) context.get(this.num2Field);
        try {
            BigDecimal bigresult = new BigDecimal(num1).setScale(this.decimalDigits, this.upDownType);
            BigDecimal bignum2 = new BigDecimal(num2).setScale(this.decimalDigits, this.upDownType);
            switch (this.operater) {
                case 1:
                    bignum1 = bigresult.add(bignum2);
                    break;
                case 2:
                    bignum1 = bigresult.subtract(bignum2);
                    break;
                case 3:
                    bignum1 = bigresult.multiply(bignum2);
                    break;
                case 4:
                    bignum1 = bigresult.divide(bignum2);
                    break;
                default:
                    throw new GENEException();
            }
            context.setDataValue(this.resultField, bignum1.setScale(this.decimalDigits, this.upDownType).toString());
            return "0";
        } catch (Exception unused) {
            System.out.println("计算器输入非法字符！");
            return "-1";
        }
    }

    public void setNum1Field(String num1Field) {
        this.num1Field = num1Field;
    }

    public void setNum2Field(String num2Field) {
        this.num2Field = num2Field;
    }

    public void setOperater(int operater) {
        this.operater = operater;
    }

    public void setUpDownType(int upDownType) {
        this.upDownType = upDownType;
    }

    public void setDecimalDigits(int decimalDigits) {
        this.decimalDigits = decimalDigits;
    }

    public void setResultField(String resultField) {
        this.resultField = resultField;
    }
}
